Get a manager request status
curl --request GET \
--url https://api.tuyo.com/public/pod_manager_proposals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Tuyo-API-Version: <tuyo-api-version>' \
--header 'Tuyo-Agent-Identity: <tuyo-agent-identity>'import requests
url = "https://api.tuyo.com/public/pod_manager_proposals/{id}"
headers = {
"Tuyo-API-Version": "<tuyo-api-version>",
"Tuyo-Agent-Identity": "<tuyo-agent-identity>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Tuyo-API-Version': '<tuyo-api-version>',
'Tuyo-Agent-Identity': '<tuyo-agent-identity>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.tuyo.com/public/pod_manager_proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tuyo.com/public/pod_manager_proposals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tuyo-API-Version: <tuyo-api-version>",
"Tuyo-Agent-Identity: <tuyo-agent-identity>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tuyo.com/public/pod_manager_proposals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tuyo-API-Version", "<tuyo-api-version>")
req.Header.Add("Tuyo-Agent-Identity", "<tuyo-agent-identity>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tuyo.com/public/pod_manager_proposals/{id}")
.header("Tuyo-API-Version", "<tuyo-api-version>")
.header("Tuyo-Agent-Identity", "<tuyo-agent-identity>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tuyo.com/public/pod_manager_proposals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Tuyo-API-Version"] = '<tuyo-api-version>'
request["Tuyo-Agent-Identity"] = '<tuyo-agent-identity>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"podId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent": {
"name": "<string>",
"signAddress": "<string>"
},
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"permissionExpiresAt": "2023-11-07T05:31:56Z",
"decidedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}API Reference
Get a manager request status
Only the stable authorization that created the request may read it. approved means owner consent was verified; the manager relationship is established immediately while on-chain permission installation can still be pending. expired means its consent deadline or requested access expiry passed, the authorization ended, or the pod was deleted while pending.
GET
/
pod_manager_proposals
/
{id}
Get a manager request status
curl --request GET \
--url https://api.tuyo.com/public/pod_manager_proposals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Tuyo-API-Version: <tuyo-api-version>' \
--header 'Tuyo-Agent-Identity: <tuyo-agent-identity>'import requests
url = "https://api.tuyo.com/public/pod_manager_proposals/{id}"
headers = {
"Tuyo-API-Version": "<tuyo-api-version>",
"Tuyo-Agent-Identity": "<tuyo-agent-identity>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Tuyo-API-Version': '<tuyo-api-version>',
'Tuyo-Agent-Identity': '<tuyo-agent-identity>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.tuyo.com/public/pod_manager_proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tuyo.com/public/pod_manager_proposals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tuyo-API-Version: <tuyo-api-version>",
"Tuyo-Agent-Identity: <tuyo-agent-identity>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tuyo.com/public/pod_manager_proposals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tuyo-API-Version", "<tuyo-api-version>")
req.Header.Add("Tuyo-Agent-Identity", "<tuyo-agent-identity>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tuyo.com/public/pod_manager_proposals/{id}")
.header("Tuyo-API-Version", "<tuyo-api-version>")
.header("Tuyo-Agent-Identity", "<tuyo-agent-identity>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tuyo.com/public/pod_manager_proposals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Tuyo-API-Version"] = '<tuyo-api-version>'
request["Tuyo-Agent-Identity"] = '<tuyo-agent-identity>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"podId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent": {
"name": "<string>",
"signAddress": "<string>"
},
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"permissionExpiresAt": "2023-11-07T05:31:56Z",
"decidedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"meta": {
"requestId": "<string>"
}
}Headers
Opaque five-minute proof from the original agent key. Run tuyo-signer identity --signer agent offline and use its token as this header; --json or MCP returns headers.Tuyo-Agent-Identity. Scope defaults to all, adding no restriction to existing permissions; other scopes are currently rejected. OAuth and operation signatures remain separate requirements.
Response
Successful response.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$